(function (Drupal, drupalSettings) {
  'use strict';
  Drupal.plyrInstances = (Drupal.plyrInstances)??[];
  Drupal.behaviors.videoEmbedFieldPlyr = {
    attach: function (context) {
         once('video-embed-plyr',document.querySelectorAll("[data-plyr-provider]")).forEach(function(element){
           if (typeof Plyr != 'undefined') {
           var elementId = (element.id||element.parentElement.id) ?? false;
           if (!elementId){
             elementId = 'plyr_'+ Math.random().toString(36).substr(2, 9);
             element.id = elementId;
           }
           Drupal.plyrInstances[elementId] = new Plyr(element);
       }
      });
    }
  };
}(Drupal, drupalSettings));
